#
# spec file for package hugin (Version 0.6.99.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel SDL SDL-devel aaa_base aalib aalib-devel acl alsa-devel atk atk-devel attr audiofile audit-libs autoconf automake bash binutils boost boost-devel bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs desktop-translations diffutils esound fdupes fftw fftw-devel file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gpm grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libasound2 libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libicu libjpeg libjpeg-devel libltdl-3 libmspack libmudflap42 libopenssl0_9_8 libpano-devel libpano12-0 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvigraimpex2 libvolume_id libxcrypt libxml2 libzio licenses linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch perl perl-base permissions pkg-config popt python python-wxGTK rpm sed sqlite sysvinit tar tcpd texinfo timezone unixODBC update-desktop-files util-linux wxGTK wxGTK-compat wxGTK-devel wxGTK-gl xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel

Name:           hugin
BuildRequires:  SDL-devel boost-devel fdupes fftw-devel gcc-c++ libpano-devel libxml2 licenses python-wxGTK update-desktop-files vigra wxGTK-devel zip
License:        GPL v2 or later
Group:          Productivity/Graphics/Bitmap Editors
Summary:        Front-End for Panorama Tools
Version:        0.6.99.4
Release:        33.4
%define _version 0.7_beta4
Source:         %{name}-%{_version}.tar.bz2
Patch2:         hugin-fftw.patch
Patch4:         hugin-jpe.patch
Patch64:        hugin-lib64.patch
Patch11:        hugin-0.5-autoconf.diff
Patch12:        hugin-string-compare.patch
Patch13:        hugin-CVE-2007-5200.patch
Url:            http://hugin.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       licenses

%description
hugin can be used to stitch multiple images together. The resulting
image can span 360 degrees. Another common use is the creation of very
high resolution pictures by combining multiple images.



Authors:
--------
    Pablo d'Angelo <pablo.dangelo@web.de>
    Alexandre Jenny
    Kai-Uwe Behrmann <ku.b@gmx.de>
    Bruno Postle
    Helmut Dersch
    Ben Allfree
    Stan Birchfield
    Lyndon Hill

%debug_package
%prep
%setup -q -n %{name}-%{_version}
%patch2
%patch4
%if %_lib == lib64
%patch64
%endif
%patch11
%patch12
%patch13
# Rename Spanish Catalan to Catalan.
mv src/hugin/po/ca_ES.po src/hugin/po/ca.po
# Rename Czech Czech Republic to Czech.
mv src/hugin/po/cs_CZ.po src/hugin/po/cs.po
sed -i "s/ca_ES/ca/;s/cs_CZ/cs/" src/hugin/po/LINGUAS

%build
./bootstrap
# Needed for hugin-0.6.1:
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--enable-shared\
	--disable-static\
	--with-unicode=yes
make %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file %{name} Graphics 2DGraphics
# locales
%{find_lang} %{name}
%{find_lang} nona_gui %{name}.lang
# Use better place for MIME icons.
mv $RPM_BUILD_ROOT%{_datadir}/icons/gnome $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
%fdupes $RPM_BUILD_ROOT%{_datadir}
for FILE in COPYING LICENCE LICENCE_JHEAD LICENCE_VIGRA ; do
    MD5SUM=$(md5sum $FILE | sed 's/ .*//')
    if test -f /usr/share/doc/licenses/md5/$MD5SUM ; then
        ln -sf /usr/share/doc/licenses/md5/$MD5SUM $FILE
    fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%postun
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS AUTHORS COPYING HACKING LICENCE LICENCE_JHEAD LICENCE_VIGRA README TODO
%{_bindir}/*
%{_datadir}/hugin
%{_datadir}/applications/hugin.desktop
%{_datadir}/icons/hicolor/48x48/mimetypes/*.png
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/*.png
%doc %{_mandir}/man?/*
%changelog
* Tue Oct 30 2007 - prusnak@suse.cz
- renamed optim_file.patch to CVE-2007-5200 (after CVE assigned)
- fixed tempfile creation also in AutoCtrlPointCreator
* Thu Sep 27 2007 - prusnak@suse.cz
- removed creation of fixed-name file in /tmp [#307684]
  (optim_file.patch)
* Mon Jul 16 2007 - sbrabec@suse.cz
- Updated to version 0.7_beta4.
  * update panotools to latest version
  * Albers equal area conic and Miller cylindrical projection
  * Support for straight line control points
  * Fixed running of Autopano-SIFT integration on windows
  * work around bugs in wxWidgets (fixes double deletion of control
  points when pressing the Del key)
  * Force even values for width for 360 degree equirectangular
  panoramas.
  * Assistant panel, enables 3 click stitching (well, almost ;-)
  * Center and rotate panorama by mouse clicks in preview window.
  Also added a numerical transform dialog
  * automatic straighten
  * support for Lambert and Lambert Azimuthal projections
  * separate crop tab replaces buggy crop dialog
  * crop is saved in lens .ini files
  * Rotated display of images in control point selector, depending
  on the roll value
  * allow images with and without alpha channels in the same
  project
  * option to open final panorama in image editor after stitching
  * present output of command line utils in nice window
  * many small bugfixes
  * removed image center dialog
* Wed May 09 2007 - pgajdos@suse.cz
- removed gnome-icon-theme from BuildRequires [#247450]
* Tue Jan 30 2007 - sbrabec@suse.cz
- Removed references to /opt/gnome.
* Fri Jan 26 2007 - ro@suse.de
- accept gettext 0.16 ...
* Sat Oct 21 2006 - schwab@suse.de
- Fix bogus version check.
* Wed Aug 23 2006 - postadal@suse.cz
- updated to version 0.6.1
  * suport for HDR file (log or gamma mapping)
  * reduced memory usage, better image caching strategy
  * fixed crashes and hangs when using the preview auto update
  * vignetting correction estimation speed up
  * projection can be changed in preview
* Thu Aug 17 2006 - postadal@suse.cz
- updated to version 0.6
  * copy ICC profiles from input images to output
  * added vignetting correction and brighness correction during stitching
  by addition or division with a flatfield image or an radial polynomial
  * estimate the vignetting polynomial directly from the overlapping images
  (experimental)
  * multithreaded remapping for hugin and nona
  * support for dcraw 16 bit .ppm files
  * disabled PTOptimizer progress display on OSX
  * added tool fulla (see man pages), for distortion, TCA and vignetting
  correction (can use old version PTLens database)
  * added Czech translation
- removed obsoleted patches: hugin-xqual.patch, filedialog-close-crash.patch
- added zip to Buildrequires
* Mon Aug 07 2006 - cthiel@suse.de
- fix build
* Tue Jul 04 2006 - cthiel@suse.de
- fix build
* Mon Mar 20 2006 - sbrabec@suse.cz
- Fixed add images close dialog crash (#156487).
* Thu Mar 09 2006 - bk@suse.de
- Use explicit gcc-c++ in BuildRequires (was implicit by SDL-devel)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - sbrabec@suse.cz
- Removed obsolete pywxrc patch (#143258).
* Thu Jan 12 2006 - sbrabec@suse.cz
- Updated to version 0.5.
* Tue Nov 08 2005 - ro@suse.de
- remove some extra qualifications to fix build with gcc-4.1
* Tue Oct 25 2005 - yxu@suse.de
- fixed missing part of function
* Thu Sep 22 2005 - sbrabec@suse.cz
- Updated to version 0.5-rc2.
* Wed Aug 17 2005 - sbrabec@suse.cz
- Work without binfmt mono bindings (#93498).
* Fri Aug 05 2005 - sbrabec@suse.cz
- Updated to version 0.5.cvs050602.
* Thu Jul 21 2005 - nadvornik@suse.cz
- added libpano-devel to nfb
* Wed May 25 2005 - mcihar@suse.cz
- fix build on lib64 systems
* Fri May 20 2005 - mcihar@suse.cz
- update to 0.5-rc1
* Mon Apr 18 2005 - mcihar@suse.de
- add missing build dependencies on SDL (due to wxGTK)
* Thu Apr 14 2005 - mcihar@suse.cz
- cvs update
- fix compilation
* Thu Feb 17 2005 - mcihar@suse.cz
- cvs update
* Fri Feb 04 2005 - mcihar@suse.cz
- cvs update
* Tue Jan 04 2005 - mcihar@suse.cz
- fix build on lib64 arches
* Wed Dec 22 2004 - mcihar@suse.cz
- cvs update and patches reorganisation
* Mon Nov 22 2004 - ro@suse.de
- fix build with current wxGTK
* Thu Sep 30 2004 - mcihar@suse.cz
- removed also SIFT header files and license from tarball (bug #46504)
* Tue Sep 21 2004 - mskibbe@suse.de
- change desktopfile
* Wed Aug 11 2004 - mcihar@suse.cz
- removed keypoints, since it uses patented SIFT code
- fixed compilation on x86_64
- reorganised patches
- no more patching for wx-config, use wrapper instead
* Mon Aug 02 2004 - mcihar@suse.cz
- update to latest released snapshot
- make nona default stitcher as we can not ship PTStitcher
* Fri Jul 30 2004 - mcihar@suse.cz
- initial packaging
